<form [formGroup]="parentForm" *ngIf="parentForm.get(controlName) as control">
  <label *ngIf="label" for="date">{{ label }}</label>
  <div
    class="input-group"
    [ngClass]="{
      'border border-warning':
        control.invalid && (control.dirty || control.touched)
    }"
  >
    <div class="input-group-prepend" *ngIf="showPrependIcon">
      <span class="input-group-text">
        <fa-icon
          [fixedWidth]="true"
          class="text-primary"
          [icon]="faCalendar"
        ></fa-icon>
      </span>
    </div>
    <input
      [classList]="'form-control ' + classList"
      [formControlName]="controlName"
      (dateSelect)="select($event)"
      [placeholder]="placeholder"
      (keyup.enter)="select()"
      [firstDayOfWeek]="2"
      [minDate]="minDate"
      [maxDate]="maxDate"
      #d="ngbDatepicker"
      ngbDatepicker
      name="dp"
      id="date"
    />
    <div class="input-group-append">
      <button
        class="btn btn-outline-primary"
        (click)="d.toggle()"
        type="button"
      >
        <fa-icon [fixedWidth]="true" [icon]="faCalendar"></fa-icon>
      </button>
    </div>
  </div>
  <ng-container *ngIf="control.errors && (control.dirty || control.touched)">
    <small *ngIf="control.hasError('required')" class="text-warning">
      Datum je obavezan
    </small>
    <ng-container *ngIf="control.hasError('ngbDate')">
      <small *ngIf="control.errors['ngbDate'].invalid" class="text-warning">
        Format datuma je: dd.mm.gggg
      </small>
      <small
        *ngIf="
          control.errors['ngbDate'].minDate || control.errors['ngbDate'].maxDate
        "
        class="text-warning"
      >
        Molimo unesite ispravan datum
      </small>
    </ng-container>
  </ng-container>
</form>
